# LocationJson
declaration: package: swervelib.parser.json.modules, class: LocationJson

Package swervelib.parser.json.modules

# Class LocationJson

java.lang.Object
swervelib.parser.json.modules.LocationJson

public class LocationJson extends Object
Location JSON parsed class. Used to access the JSON data. Module locations, in inches, as distances to the center of the robot. +x is towards the robot front, and +y is towards robot left.

## Field Summary

Fields
Modifier and Type
Field
Description
`double`
`front`
Location of the swerve module in inches from the center of the robot horizontally.
`double`
`left`
Location of the swerve module in inches from the center of the robot vertically.
`double`
`x`
Location of the swerve module in inches from the center of the robot horizontally.
`double`
`y`
Location of the swerve module in inches from the center of the robot vertically.

## Constructor Summary

Constructors
Constructor
Description
`LocationJson()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### front

public double front
Location of the swerve module in inches from the center of the robot horizontally.

### x

public double x
Location of the swerve module in inches from the center of the robot horizontally.

### left

public double left
Location of the swerve module in inches from the center of the robot vertically.

### y

public double y
Location of the swerve module in inches from the center of the robot vertically.

## Constructor Details

### LocationJson

public LocationJson()